CardFlight SDK Version 4 for iOS
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
CardFlight.framework
.gitignore
CHANGELOG.md
CardFlight-v4.podspec
LICENCE
README.md
strip_architectures.sh

README.md

cardflight-v4-ios

CardFlight SDK Version 4 for iOS

How to Install

CocoaPods

CocoaPods is the recommended method of installing CardFlight.

Podfile
platform :ios, '8.0'
pod "CardFlight-v4"

Github

  1. Clone this repo into your project.
git clone https://github.com/CardFlight/cardflight-v4-ios
  1. Add the framework to your Xcode project
CardFlight.framework
  1. Update the plist for the target that will use the library
key - Privacy - Microphone Usage Description
value - Microphone access is required for the app to communicate with audio jack based card readers
key - Privacy - Bluetooth Peripheral Usage Description
value - Bluetooth access is required for the app to communicate with bluetooth based card readers
  1. (For Bold series reader only) Add Bold accessory protocol string to plist
key - Supported external accessory protocols
value - com.miura.shuttle
value - com.cardflight.bold

Documentation

Full documentation can be found here.